Subject: [weirds] WEIRDS inactivity, and issues raised in London

From: "Murray S. Kucherawy" <[email-masked]>
Date: Fri, 9 May 2014 10:44:38 -0700

Colleagues,

We've opened tracker items to cover the issues raised during the somewhat
spirited discussions that took place in London.  Since doing so, there has
been nearly zero activity in terms of resolving them.

Many of these issues were raised by people I know are on this list.
Unfortunately, it seems like many of the participants here only put time
into the work right before we go to meetings, or at the microphone.

We need to make progress here.  Your co-chairs had hoped we had enough
momentum to need no meeting in Toronto.  Accordingly, please take some time
check out the open tracker items, which should have corresponding threads
on this list, to support your concerns and hash them out with the working
group.  The authors need to resolve these issues in order for us to proceed
toward our milestones, so this is your opportunity to make your concerns
stick.

We request the editors to post resolutions to the issues as they see fit
and will assume that if there are no objections to them within two weeks,
those resolutions have consensus.

We need to deliver or dissolve.

Thanks,
-Murray & Olaf, WEIRDS co-chairs

---

From: "John Levine" <[email-masked]>
Date: 10 May 2014 01:42:59 -0000

If Marc doesn't have time to do the new complicated bootstrap stuff, I
can take a whack at it in the next week or two.

R's,
John

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Mon, 12 May 2014 16:53:09 +0000

> We request the editors to post resolutions to the issues as they see fit and will assume that if there are no objections to them within two weeks, those resolutions have consensus.

There were 11 tickets open for rdap-query. A common thread among the many suggestions is that there has been very little discussion of the proposals. Please correct any of my mis-recollections of list discussion:

7. Query Pattern Formats (http://trac.tools.ietf.org/wg/weirds/trac/ticket/7#)

Text will be modified to describe the patterns as POSIX regular expressions.

8. Search of domain names by nameserver name (http://trac.tools.ietf.org/wg/weirds/trac/ticket/8#)

I don't recall seeing any objection to this suggestion. I'm inclined to include it in the next version.

9. Search of domain names by nameserver IP address (http://trac.tools.ietf.org/wg/weirds/trac/ticket/9#)

This appears to be a duplicate of #29. See below.

10. Handle Search (http://trac.tools.ietf.org/wg/weirds/trac/ticket/10#)

I vaguely recall Ernie Dainow suggesting that this search was useful, but I'm inclined to remove it per Andy's suggestion

11. Query optional parameter for existence of record (http://trac.tools.ietf.org/wg/weirds/trac/ticket/11#)

I'm inclined to not implement this suggestion due to the lack of positions expressing support for the idea.

13. Update JSON Reference (http://trac.tools.ietf.org/wg/weirds/trac/ticket/13#)

References to RFC 4627 will be replaced with references to RFC 7158.

15. Remove .well-known and Replace with Template Use Description (http://trac.tools.ietf.org/wg/weirds/trac/ticket/15#)

Outcome pending bootstrap update with a proposal for consideration.

16. Use bootstrap templates (http://trac.tools.ietf.org/wg/weirds/trac/ticket/16#)

This appears to be a duplicate of issue #15. I have marked it as a duplicate and closed the ticket.

19. Update HTTP Reference (http://trac.tools.ietf.org/wg/weirds/trac/ticket/19#)

References to RFC 2616 will be replaced with references to whatever RFCs draft-ietf-httpbis-http2 (still with the WG) and draft-ietf-httpbis-p2-semantics (in AUTH48) become. Both may end up being done by the RFC Editor depending on timing.

25. Clarify what is done with unsupported queries (http://trac.tools.ietf.org/wg/weirds/trac/ticket/25#)

Text will be added to say that the server should return a 400 (Bad Request) error code.

29. Clarify text about querying for domains by nameserver IP (http://trac.tools.ietf.org/wg/weirds/trac/ticket/29#)

This appears to be a duplicate of issue #9. I don't have a clear sense of whether or not this should be included. List and in-room discussion was mixed.

Scott